Package com.logicaldoc.core.searchengine

# Class LanguageProcessorFactory

java.lang.Object
org.apache.solr.update.processor.UpdateRequestProcessorFactory
com.logicaldoc.core.searchengine.LanguageProcessorFactory

All Implemented Interfaces:
  `org.apache.solr.util.plugin.NamedListInitializedPlugin`

public class LanguageProcessorFactory extends org.apache.solr.update.processor.UpdateRequestProcessorFactory
Basic factory needed to instantiate the LanguageProcessor

Since:
  6.5
Author:
  Marco Meschieri - LogicalDOC

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.update.processor.UpdateRequestProcessorFactory

`org.apache.solr.update.processor.UpdateRequestProcessorFactory.RunAlways`

## Constructor Summary

Constructors
Constructor
Description
`LanguageProcessorFactory()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.solr.update.processor.UpdateRequestProcessor`
`getInstance(org.apache.solr.request.SolrQueryRequest request, org.apache.solr.response.SolrQueryResponse response, org.apache.solr.update.processor.UpdateRequestProcessor processor)`

### Methods inherited from class org.apache.solr.update.processor.UpdateRequestProcessorFactory

`init`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LanguageProcessorFactory

public LanguageProcessorFactory()

## Method Details

### getInstance

public org.apache.solr.update.processor.UpdateRequestProcessor getInstance(org.apache.solr.request.SolrQueryRequest request, org.apache.solr.response.SolrQueryResponse response, org.apache.solr.update.processor.UpdateRequestProcessor processor)

Specified by:
  `getInstance` in class `org.apache.solr.update.processor.UpdateRequestProcessorFactory`